--- zebra-0.92a-orig/lib/memory.h	Tue Aug  7 18:06:13 2001
+++ zebra-0.92a/lib/memory.h	Wed Aug 22 11:34:50 2001
@@ -39,6 +39,7 @@
   MTYPE_VTY,
   MTYPE_VTY_HIST,
   MTYPE_IF,
+  MTYPE_IF_IRDP,
   MTYPE_CONNECTED,
   MTYPE_AS_SEG,
   MTYPE_AS_STR,
--- zebra-0.92a-orig/zebra/interface.c	Tue Aug 14 04:22:38 2001
+++ zebra-0.92a/zebra/interface.c	Wed Aug 22 11:34:50 2001
@@ -1337,6 +1337,10 @@
       rtadv_config_write (vty, ifp);
 #endif /* RTADV */
 
+#ifdef HAVE_IRDP
+      irdp_config_write (vty, ifp);
+#endif /* IRDP */
+
       vty_out (vty, "!%s", VTY_NEWLINE);
     }
   return 0;
--- zebra-0.92a-orig/zebra/interface.h	Sun Aug 12 06:54:15 2001
+++ zebra-0.92a/zebra/interface.h	Wed Aug 22 11:34:50 2001
@@ -151,6 +151,12 @@
 #ifdef RTADV
   struct rtadvconf rtadv;
 #endif /* RTADV */
+
+#ifdef HAVE_IRDP
+#include "irdp.h"
+  struct irdp_interface irdp;
+#endif
+
 };
 
 void if_delete_update (struct interface *ifp);
--- zebra-0.92a-orig/zebra/main.c	Fri Feb  9 07:17:56 2001
+++ zebra-0.92a/zebra/main.c	Wed Aug 22 11:34:50 2001
@@ -119,6 +119,9 @@
 
   if (!retain_mode)
     rib_close ();
+#ifdef HAVE_IRDP
+  irdp_finish();
+#endif
 
   exit (0);
 }
@@ -247,6 +250,9 @@
   zebra_debug_init ();
   access_list_init ();
   rtadv_init ();
+#ifdef HAVE_IRDP
+  irdp_init();
+#endif
 
   /* For debug purpose. */
   /* SET_FLAG (zebra_debug_event, ZEBRA_DEBUG_EVENT); */
--- zebra-0.92a-orig/zebra/Makefile.in	Sun Aug 19 11:27:10 2001
+++ zebra-0.92a/zebra/Makefile.in	Wed Aug 22 11:34:50 2001
@@ -105,7 +105,8 @@
 #sbin_PROGRAMS = zebra client
 sbin_PROGRAMS = zebra
 
-zebra_SOURCES =  	zserv.c main.c interface.c connected.c ioctl.c rib.c redistribute.c 	debug.c rtadv.c zebra_snmp.c
+zebra_SOURCES =  	zserv.c main.c interface.c connected.c ioctl.c rib.c redistribute.c 	debug.c rtadv.c zebra_snmp.c  irdp_main.c irdp_interface.c \
+irdp_packet.c
 
 
 noinst_HEADERS =  	connected.h ioctl.h rib.h rt.h zserv.h redistribute.h debug.h rtadv.h 	interface.h ipforward.h irdp.h
@@ -118,7 +119,7 @@
 
 sysconf_DATA = zebra.conf.sample
 
-EXTRA_DIST = $(sysconf_DATA) if_ioctl.c if_netlink.c if_proc.c if_sysctl.c 	ipforward_aix.c ipforward_ews.c ipforward_proc.c 	ipforward_solaris.c ipforward_sysctl.c rt_ioctl.c rt_netlink.c 	rt_socket.c rtread_netlink.c rtread_proc.c rtread_sysctl.c 	rtread_getmsg.c kernel_socket.c kernel_netlink.c mtu_kvm.c 	GNOME-SMI GNOME-PRODUCT-ZEBRA-MIB irdp.c
+EXTRA_DIST = $(sysconf_DATA) if_ioctl.c if_netlink.c if_proc.c if_sysctl.c 	ipforward_aix.c ipforward_ews.c ipforward_proc.c 	ipforward_solaris.c ipforward_sysctl.c rt_ioctl.c rt_netlink.c 	rt_socket.c rtread_netlink.c rtread_proc.c rtread_sysctl.c 	rtread_getmsg.c kernel_socket.c kernel_netlink.c mtu_kvm.c 	GNOME-SMI GNOME-PRODUCT-ZEBRA-MIB irdp_main.c irdp_interface.c irdp_packet.c
 
 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
 CONFIG_HEADER = ../config.h
@@ -129,7 +130,7 @@
 LDFLAGS = @LDFLAGS@
 LIBS = @LIBS@
 zebra_OBJECTS =  zserv.o main.o interface.o connected.o ioctl.o rib.o \
-redistribute.o debug.o rtadv.o zebra_snmp.o
+redistribute.o debug.o rtadv.o zebra_snmp.o irdp_main.o irdp_interface.o irdp_packet.o
 zebra_DEPENDENCIES =  ../lib/libzebra.a
 zebra_LDFLAGS = 
 CFLAGS = @CFLAGS@
